document.addEventListener('DOMContentLoaded', function() {
  const editButtons = document.querySelectorAll('.edit-button');
  editButtons.forEach(button => {
    button.addEventListener('click', function() {
      const row = this.closest('tr');
      const name = row.children[0].textContent;
      const stock = row.children[1].textContent;
      const price = row.children[2].textContent;
      alert(`Editing ${name}\nStock: ${stock}\nPrice: ${price}`);
    });
  });
});